﻿using UnityEngine;
using UnityEngine.UI;

public class LifeCounter : MonoBehaviour
{
    [SerializeField]
    private Sprite deathImage;
    
    [SerializeField]
    private Image firstLifeImage;
    
    [SerializeField]
    private Image secondLifeImage;

    [SerializeField]
    private Image thirdLifeImage;

    [SerializeField]
    private Text lifeCounterText;
    
    public void Init(Sprite sprite, int lifes)
    {
        firstLifeImage.sprite = sprite;
        secondLifeImage.sprite = sprite;
        thirdLifeImage.sprite = sprite;

        UpdateUI(lifes);
    }

    public void UpdateUI(int lifes)
    {
        secondLifeImage.gameObject.SetActive(lifes == 2 || lifes == 3);
        thirdLifeImage.gameObject.SetActive(lifes == 3);
        lifeCounterText.gameObject.SetActive(lifes > 3);

        lifeCounterText.text = "x " + lifes.ToString();

        if (lifes == 0)
        {
            firstLifeImage.sprite = deathImage;
        }
    }    
}
