﻿using UnityEngine;
using UnityEngine.UI;

public class LifesManager : MonoBehaviour
{
    [SerializeField]
    private LifeCounter[] lifeCounters;

    public Sprite[] counterSprites;
    
    public static LifesManager instance;

    private void Awake()
    {
        if (instance == null) { instance = this; }
        else if (instance != this) { Destroy(gameObject); }
        DontDestroyOnLoad(gameObject);
    }

    public void Init(int numberOfPlayers, int numberOfLifes)
    {
        for (int i = 0; i < numberOfPlayers; ++i)
        {
            lifeCounters[i].Init(counterSprites[GameManager.instance.GetSkinIndex(i)], numberOfLifes);
        }

        for (int i = 0; i < 8; ++i)
        {
            lifeCounters[i].gameObject.SetActive(i < numberOfPlayers);
        }
    }

    public void UpateUI(int id, int numberOfLifes)
    {
        lifeCounters[id].UpdateUI(numberOfLifes);
    }
}
