﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BlastAwayAndKill : MonoBehaviour
{
    Vector3 direction;

    Rigidbody rigidBody;

    // Use this for initialization
    void Start ()
    {
        rigidBody = GetComponent<Rigidbody>();
        rigidBody.isKinematic = true;
        this.GetComponentInChildren<Renderer>().material = GameManager.instance.GetDeadDuckMaterial();
        direction = new Vector3(-1, Random.value * 2 - 1, 0).normalized;
    }
	
	// Update is called once per frame
	void Update ()
    {
        transform.position += direction * Time.deltaTime * 30;
        transform.Rotate(Vector3.up, 30);

        if (transform.position.x < -25)
        {
            PlayerController player = GetComponent<PlayerController>();
            player.state = PlayerController.State.Dead;
            if (transform.position.x < -40)
            {
                Destroy(this);
                rigidBody.isKinematic = false;
                GameManager.instance.CheckVictoryConditions(player);
            }                
        }
    }
}
