﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SubmergeAndKill : MonoBehaviour
{

    private enum DeadByFloor
    {
        Submerging,
        SpinningUp,
        SpinningDown
    };

    DeadByFloor state = DeadByFloor.Submerging;
    Rigidbody rigidBody;
    
    private void Start()
    {        

        rigidBody = GetComponent<Rigidbody>();
        rigidBody.isKinematic  = true;
    }
    
	// Update is called once per frame
	void Update ()
    {
        switch (state)
        {
            case DeadByFloor.Submerging:
                this.transform.position += Vector3.down * 5f * Time.deltaTime;
                if (transform.position.y < -10)
                {
                    this.GetComponentInChildren<Renderer>().material = GameManager.instance.GetDeadDuckMaterial();
                    this.state = DeadByFloor.SpinningUp;
                }
                break;

            case DeadByFloor.SpinningDown:

                this.transform.position += Vector3.down * 15 * Time.deltaTime;
                transform.Rotate(Vector3.up, 20);

                if (transform.position.y < -10)
                {
                    transform.position = new Vector3(1000, 0);
                    PlayerController player = GetComponent<PlayerController>();
                    player.state = PlayerController.State.Dead;
                    rigidBody.isKinematic = false;
                    Destroy(this);
                    GameManager.instance.CheckVictoryConditions(player);
                }
                break;

            case DeadByFloor.SpinningUp:
                this.transform.position += Vector3.up * 15 * Time.deltaTime;
                transform.Rotate(Vector3.up, 20);

                if (transform.position.y > 0)
                {                    
                    this.state = DeadByFloor.SpinningDown;
                }
                break;
        }	
	}
}
