﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WaveController : MonoBehaviour
{
    [SerializeField]
    private float speed;
    private Vector3 direction;
    // Use this for initialization

    private List<PlayerController> wasAlreadyKilled;

    private void Awake()
    {
        this.wasAlreadyKilled = new List<PlayerController>();
    }

    IEnumerator Start()
    {
        direction = new Vector3(0, this.transform.localPosition.y, this.transform.localPosition.z) - transform.localPosition;
        direction.Normalize();

        yield return new WaitForSeconds(10);
        Destroy(gameObject);
    }

    // Update is called once per frame
    private void Update()
    {
        this.transform.localPosition += direction * Time.deltaTime * speed;
    }

    private void OnTriggerEnter(Collider other)
    {
        PlayerController pc = other.GetComponent<PlayerController>();
        if (pc != null)
        {
            if (this.wasAlreadyKilled.Contains(pc))
                return;

            pc.Kill(GameManager.DeathType.Lava);
            this.wasAlreadyKilled.Add(pc);
        }
    }

}
